jQuery(function($){

	// Document Ready
	jQuery(document).ready(function() {

		jQuery(document).on('click', '.alexandria-mail-builder-start-game-button', function(e){
			e.preventDefault();
			alexandria_email_builder_start_builder();
		});

	});

	// Start Builder
	function alexandria_email_builder_start_builder() {

		var lang = jQuery('html').attr('lang');
		var lang_code = lang.substring(0, 2);

		let post_data = {
			'action': 'alexandria_mail_builder_ajax',
			'alexandria_mail_builder_action': 'start',
			'lang': lang_code
		}

		jQuery('.alexandria-mail-builder__wrapper').fadeOut("slow", function(){
			jQuery('#alexandria_mail_builder_loading_spinner').fadeIn("fast");
		});

		setTimeout(function(){
			alexandria_email_builder_start_builder_get_email_data(post_data);
		}, 1000);
	}

	// Get E-Mail data from server
	function alexandria_email_builder_start_builder_get_email_data(post_data) {

		// console.log(post_data);

		var url = translated_alexandria_mail_builder_strings.admin_url;

		jQuery.post(url, post_data, function(response) {  

			jQuery('#alexandria_mail_builder_loading_spinner').fadeOut();

			jQuery('#alexandria_mail_builder_main').html(response);

			initEmailBuilder();

		});
	}
	
});

